## org.eclipse.jet.compiler
Class JET2Directive

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.JET2Directive

Deprecated. Since 0.8.0, use `JETDirective`

    public final class JET2Directive

extends JET2ASTElement

Define a Directive Element in the JET2 AST

Constructor Summary
`JET2Directive(org.eclipse.jet.compiler.JET2AST jet2ast, JETDirective directive)` Deprecated.

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Deprecated. Visit the AST and its contained elements.
`java.util.Map` `getAttributes()` Deprecated. Return a Map the delegate attribute names to values
`java.lang.String` `getName()` Deprecated. Return the delegate name

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart, removeLineWhenOtherwiseEmpty, setDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JET2Directive

    public JET2Directive(org.eclipse.jet.compiler.JET2AST jet2ast,
                         JETDirective directive)

  Deprecated.

Method Detail

### getName

    public final java.lang.String getName()

  Deprecated.
  Return the delegate name

  Returns:
    the delegate name

### getAttributes

    public final java.util.Map getAttributes()

  Deprecated.
  Return a Map the delegate attribute names to values

  Returns:
    a Map of the delegate attributes (unmodifiable)

### accept

    public void accept(JET2ASTVisitor visitor)

  Deprecated.
  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`
  See Also:
    `JET2ASTElement.accept(org.eclipse.jet.compiler.JET2ASTVisitor)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.